# Используем базовый образ Node.js
FROM node:latest AS dependencies

# Устанавливаем рабочую директорию в контейнере
WORKDIR /app

# Копируем package.json и package-lock.json для установки зависимостей
COPY package.json package-lock.json ./

# Устанавливаем зависимости
RUN npm install

FROM node:latest AS builder

WORKDIR /app

COPY --from=dependencies /app/node_modules ./node_modules

# Копируем все файлы проекта в контейнер
COPY package.json package.json
COPY postcss.config.cjs postcss.config.cjs
COPY vite.config.js vite.config.js

# Определяем команду, которая будет выполняться при каждом запуске контейнера
#CMD npm run build && chown -R 1000:1000 ./dist

CMD ["npm", "run", "build"]